> For the complete documentation index, see [llms.txt](https://docs.jetadmin.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jetadmin.io/api-reference/users/update-a-user.md).

# Update a user

PATCH <https://data.jetadmin.io/projects/\\{{project\\_id\\}}/prod/\\_\\_jet\\_app\\_\\_/models/users/{uid}>

Replace the double-brace placeholders with your identifiers. The interactive endpoint below uses standard OpenAPI path parameters.

## Update a user

> Updates the specified user. Parameters that are not provided remain unchanged.

```json
{"openapi":"3.1.0","info":{"title":"Jet Admin Users API","version":"1.0.0"},"tags":[{"name":"Users","description":"Manage application users."}],"servers":[{"url":"https://data.jetadmin.io","description":"Jet Admin data API"}],"security":[{"staticToken":[]}],"components":{"securitySchemes":{"staticToken":{"type":"apiKey","in":"header","name":"Authorization","description":"Jet Admin Built-in tools API static token."}},"schemas":{"UpdateUserRequest":{"type":"object","additionalProperties":false,"minProperties":1,"properties":{"group":{"type":"string","format":"uuid","description":"Identifier of the related group."}}},"User":{"type":"object","required":["uid","email","group","date_add"],"properties":{"uid":{"type":"string","format":"uuid"},"email":{"type":"string","format":"email"},"first_name":{"type":["string","null"]},"last_name":{"type":["string","null"]},"group":{"type":"string","format":"uuid","description":"Identifier of the related group."},"date_add":{"type":"string","format":"date-time"}}},"Error":{"type":"object","additionalProperties":true,"description":"Error response returned for invalid parameters or requests."}},"responses":{"NotFound":{"description":"User not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Error":{"description":"Invalid request or parameters.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/projects/{project_id}/prod/__jet_app__/models/users/{uid}":{"patch":{"tags":["Users"],"operationId":"updateUser","summary":"Update a user","description":"Updates the specified user. Parameters that are not provided remain unchanged.","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUserRequest"}}}},"responses":{"200":{"description":"The updated user.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}},"404":{"$ref":"#/components/responses/NotFound"},"default":{"$ref":"#/components/responses/Error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.jetadmin.io/api-reference/users/update-a-user.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
